Bug 1996048 - Non-admin users can not list their Personal Access Tokens
Summary: Non-admin users can not list their Personal Access Tokens
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Users & Roles
Version: 6.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.10.0
Assignee: Dominik Matoulek
QA Contact: Akhil Jha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-20 12:25 UTC by Ondrej Gajdusek
Modified: 2021-11-16 14:13 UTC (History)
5 users (show)

Fixed In Version: foreman-2.5.2.10-1,foreman-2.5.2.13-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:13:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 33371 0 None None None 2021-08-30 16:10:25 UTC
Github SatelliteQE robottelo pull 9030 0 None open Fix PAT tests and added new test as closeloop 2021-10-06 08:30:03 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:13:30 UTC

Description Ondrej Gajdusek 2021-08-20 12:25:54 UTC
Description of problem:
Non-admin users are unable to see the Personal Access Tokens that they created.

Adding the `view_users` permission to the non-admin user fixes the issue.
However, the user should be able to list his tokens without the need of assigning the `view_users` permission that exposes the user list to the non-admin user.
Exposing the user list might not be acceptable in some customer environments.

Version-Release number of selected component (if applicable):
@Satellite 6.10.0 snap 13
foreman-2.5.2.4-1.el7sat.noarch
satellite-6.10.0-0.6.beta.el7sat.noarch

How reproducible:
always

Steps to Reproduce:
1. create a role with Personal access token filter

and unrestricted permissions 

view_personal_access_tokens, create_personal_access_tokens, revoke_personal_access_tokens

2. assign a role to non-admin user
3. log out and log in as a non-admin user
4. username -> my account -> personal access tokens tab
5. create a token
6. click Submit and go back to username -> my account -> personal access tokens tab to list the tokens

Actual results:
The non-admin user is not able to list its Personal access tokens without having the `view_users` permission assigned.

Expected results:
The non-admin user is able to list its Personal access tokens without having the `view_users` permission assigned.

Additional info:
Created during verification of BZ1974685

Comment 1 Dominik Matoulek 2021-08-30 16:10:23 UTC
Created redmine issue https://projects.theforeman.org/issues/33371 from this bug

Comment 2 Bryan Kearney 2021-08-30 20:05:41 UTC
Upstream bug assigned to dmatoule

Comment 3 Bryan Kearney 2021-08-30 20:05:44 UTC
Upstream bug assigned to dmatoule

Comment 4 Bryan Kearney 2021-09-09 16:05:26 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/33371 has been resolved.

Comment 7 Akhil Jha 2021-10-04 05:58:36 UTC
Verified.
Satellite 6.10.0-21.0

Comment 10 errata-xmlrpc 2021-11-16 14:13:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.